Page MenuHomePhabricator

Request to add Silvan Heintze to the ldap/wmde group
Closed, ResolvedPublic

Description

I’m employed at WMDE as a developer and would like to be added to the ldap/wmde group.
My Wikitech username is Silvan Heintze, and my shell username is sihe.

I need to

  • sign NDA with WMF legal for LDAP access
  • get added to ldap/wmde

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2020, 9:19 AM

If WMDE has internal docs then please remove WMF-NDA-Requests from it. Thanks.

WMDE-leszek added a comment.EditedJan 7 2020, 10:08 AM

As Silvan's line manager, I endorse this request and confirm he is WMDE employee.
@RStallman-legalteam mind filing an NDA for Silvan and sending it to him via email to sign?

@Aklapper: what do you mean by "internal docs"? WMDE has been following https://wikitech.wikimedia.org/wiki/Volunteer_NDA and hence using WMF-NDA-Requests.

Aklapper added a comment.EditedJan 7 2020, 6:46 PM

@WMDE-leszek: I fail to find any mention of the #WMF-NDA-Requests Phab project tag in the section at https://wikitech.wikimedia.org/wiki/Volunteer_NDA#Privileged_LDAP_or_shell_access . Could you clarify why this tag was added to this task?

Sorry @Aklapper, I was wrong. We have copied the tag over in the template we're using, while it indeed is not needed. I am fixing WMDE template now.

Earlier today I erronously looked at the wrong section https://wikitech.wikimedia.org/wiki/Volunteer_NDA#Privileged_Phabricator_access which mentions WMF-NDA-Requests. That was rubbish, sorry for the noise!

@ Silvan_WMDE - I will send you the NDA via Docusign. The link will be emailed to your WMDE account. Thanks!

Dzahn renamed this task from Request to be added to the ldap/wmde group to Request to add Silvan Heintze to the ldap/wmde group.Jan 8 2020, 12:54 AM
Dzahn assigned this task to Silvan_WMDE.Jan 8 2020, 12:56 AM
Dzahn added a subscriber: Dzahn.

Hi Silvan, assigning this ticket to you for signing the NDA. Once that is done please assign it back to "nobody' or me or just leave a comment. Thanks!

Silvan_WMDE reassigned this task from Silvan_WMDE to Dzahn.Jan 8 2020, 8:19 AM

Thanks everyone, I just signed the NDA.

Yes, the NDA is signed and filed. Thanks all!

Dzahn updated the task description. (Show Details)Jan 8 2020, 6:53 PM

Change 562910 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Silvan Heintze to ldap_only_admins (WMDE)

https://gerrit.wikimedia.org/r/562910

Change 562910 merged by Dzahn:
[operations/puppet@production] admins: add Silvan Heintze to ldap_only_admins (WMDE)

https://gerrit.wikimedia.org/r/562910

Mentioned in SAL (#wikimedia-operations) [2020-01-08T19:16:08Z] <mutante> LDAP - added 'sihe' to 'wmde' and 'nda' (T242080)

Dzahn closed this task as Resolved.Jan 8 2020, 7:16 PM
Dzahn updated the task description. (Show Details)

@Silvan_WMDE Done! Things should work as expected now. You are in the LDAP group(s).